Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.models.mixture.motif.positionprior
Class GaussianLikePositionPrior

    java.lang.Object
      de.jstacs.models.mixture.motif.positionprior.PositionPrior
          de.jstacs.models.mixture.motif.positionprior.GaussianLikePositionPrior

All Implemented Interfaces:
  Storable, Cloneable

    public class GaussianLikePositionPrior

extends PositionPrior

This class implements a gaussian like discrete truncated prior.

Author:
  Jens Keilwagen

Field Summary

Fields inherited from class de.jstacs.models.mixture.motif.positionprior.PositionPrior
`motifLength`

Constructor Summary
`GaussianLikePositionPrior(int length, double max, double sigma)` This constructor creates an instance with given sequence length, maximal value and sigma for the Gaussian.
`GaussianLikePositionPrior(StringBuffer rep)` The standard constructor for the interface `Storable`.

Method Summary
`protected void` | `extractAdditionalInformation(StringBuffer xml)` This method extracts additional information from the StringBuffer.
`protected StringBuffer` | `getAdditionalInformation()` This method returns a StringBuffer containing additional information for the XML representation.
`String` | `getInstanceName()` Returns the instance name
`int` | `getLength()` Returns the length that is supported by this prior.
`double` | `getLogPriorForPositions(int seqLength, int... starts)` Returns only the important part and leaving the logarithm of the normalization constant out.
`void` | `setMotifLength(int motifLength)` Sets the length of the current motif.

Methods inherited from class de.jstacs.models.mixture.motif.positionprior.PositionPrior
`clone, toXML`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GaussianLikePositionPrior

    public GaussianLikePositionPrior(int length,
                                     double max,
                                     double sigma)

  This constructor creates an instance with given sequence length, maximal value and sigma for the Gaussian.

  Parameters:
    `length` - the sequence length
    `max` - the maximal position
    `sigma` - the standard deviation (sigma) of the Gaussian

### GaussianLikePositionPrior

    public GaussianLikePositionPrior(StringBuffer rep)
                              throws NonParsableException

  The standard constructor for the interface `Storable`.

  Parameters:
    `rep` - the StringBuffer containing the model
  Throws:
    `NonParsableException` - if the StringBuffer can not be parsed

Method Detail

### setMotifLength

    public void setMotifLength(int motifLength)

  Description copied from class: `PositionPrior`
  Sets the length of the current motif.

  Overrides:
    `setMotifLength` in class `PositionPrior`
  Parameters:
    `motifLength` - the motif length

### getLogPriorForPositions

    public double getLogPriorForPositions(int seqLength,
                                          int... starts)
                                   throws IllegalArgumentException

  Returns only the important part and leaving the logarithm of the normalization constant out.

  Specified by:
    `getLogPriorForPositions` in class `PositionPrior`
  Parameters:
    `seqLength` - the length of the sequence
    `starts` - the start positions of the part motifs
  Returns:
    the value of the prior for given start positions
  Throws:
    `IllegalArgumentException` - if something went wrong, e.g. the motif length is not set.

### getLength

    public int getLength()

  Description copied from class: `PositionPrior`
  Returns the length that is supported by this prior. If all length bigger than the minimal length are supported, this method return 0.

  Specified by:
    `getLength` in class `PositionPrior`
  Returns:
    the length that is supported or 0 for all lengths

### getInstanceName

    public String getInstanceName()

  Description copied from class: `PositionPrior`
  Returns the instance name

  Specified by:
    `getInstanceName` in class `PositionPrior`
  Returns:
    the instance name

### getAdditionalInformation

    protected StringBuffer getAdditionalInformation()

  Description copied from class: `PositionPrior`
  This method returns a StringBuffer containing additional information for the XML representation.

  Specified by:
    `getAdditionalInformation` in class `PositionPrior`
  Returns:
    a StringBuffer containing additional information for the XML representation

### extractAdditionalInformation

    protected void extractAdditionalInformation(StringBuffer xml)
                                         throws NonParsableException

  Description copied from class: `PositionPrior`
  This method extracts additional information from the StringBuffer.

  Specified by:
    `extractAdditionalInformation` in class `PositionPrior`
  Parameters:
    `xml` - the StringBuffer containing the additional information of the XML representation
  Throws:
    `NonParsableException` - if the StringBuffer is not parsable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD